<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>Api Key</title>
	<meta name="renderer" content="webkit">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	<link rel="stylesheet" href="../lib/layui-v2.6.3/css/layui.css" media="all">
	<link rel="stylesheet" href="../css/public.css" media="all">
</head>
<body>
<div class="layuimini-container">
    <div class="layuimini-main">

        <table class="layui-hide" id="currentTableId" lay-filter="currentTableFilter"></table>
		
		<script type="text/html" id="currentTableBar">
		    <a class="layui-btn layui-btn-xs layui-btn-danger data-count-delete" lay-event="delete">删除</a>
		</script>
		
		<script type="text/html" id="toolbarTop">
		    <div class="layui-btn-container">
		        <button class="layui-btn layui-btn-normal layui-btn-sm data-add-btn" lay-event="add">生成</button>
		    </div>
		</script>

    </div>
</div>
<script src="../lib/layui-v2.6.3/layui.js" charset="utf-8"></script>
<script th:inline="none">
    layui.use(['form', 'table'], function () {
        var $ = layui.$,
            form = layui.form,
            table = layui.table;
		/**
		 * 初始化表单，要加上，不然刷新部分组件可能会不加载
		 */
		form.render();
		
        table.render({
            elem: '#currentTableId',
            url: '/sys/apikey/list',
            toolbar: '#toolbarTop',
            cols: [[
                {field: 'tenantname', title: '所属组织'},
				{field: 'apikey', title: 'Api Key'},
				{field: 'secret', title: 'Api Secret'},
				{title: '操作', toolbar: '#currentTableBar', align: "center", minWidth: 120}
            ]],
			limits: [10, 20, 50, 100, 150],
			limit: 10,
            page: true,
            skin: 'line'
        });

		/**
		 * toolbar事件监听
		 */
		table.on('toolbar(currentTableFilter)', function (obj) {
			if (obj.event === 'add') {   // 监听添加操作
				var index = layer.open({
					title: '新增',
					type: 2,
					shade: 0.2,
					maxmin:true,
					shadeClose: true,
					offset: 'rb',
					anim: 2,
					area: ['50%', '100%'],
					content: '/sys/apikey/add'
				});
				$(window).on("resize", function () {
					layer.full(index);
				});
			}
		});

		table.on('tool(currentTableFilter)', function (obj) {
			var data = obj.data;
			if (obj.event === 'delete') {
				layer.confirm('确定删除'+data.name+"?", function(index){
					$.ajax({
						type:"POST",
						url:"/sys/apikey/delete",
						data:{
							'id':data.id
						},
						success: function (data) {
							//data是cotroller相应处理函数的返回值
							table.reload('currentTableId');
						},
						error: function () {
							console.log("ajax error");
						}
					});
					layer.close(index);
				});
			}
		});

    });

	function onBaseParaUpdated(){
		layui.table.reload('currentTableId');
	}
</script>

</body>
</html>